---
# https://github.com/geerlingguy/ansible-role-mysql/blob/master/molecule/default/molecule.yml

dependency:
  name: galaxy
driver:
  name: docker
lint:
  name: yamllint
  options:
    config-file: molecule/default/yaml-lint.yml
platforms:
  - name: ${DISTRO:-ubuntu}-${INSTANCE:-instance}
    image: fanchthesystem/${DISTRO:-ubuntu}-with-systemd:latest
    override_command: false
    privileged: true
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    tmpfs:
      - /tmp
      - /run
provisioner:
  name: ansible
  log: true
  options:
    v: true
  lint:
    name: ansible-lint
  playbooks:
    converge: ${TEST_PLAYBOOK:-playbook.yml}
  config_options:
    defaults:
      callback_whitelist: profile_tasks
      timeout: 60
verifier:
  name: ansible
  lint:
    name: ansible-lint
